## cyrus-imapd 3.6.0~beta2

=== debian/changelog ===
cyrus-imapd (3.6.0~beta2-3) unstable; urgency=medium

  [ Yadd ]
  * Fix copyright (Closes: #1010028)

  [ Dan Bungert ]
  * Add patch for openssl 3 (Closes: #1010535)

 -- Yadd <yadd@debian.org>  Thu, 05 May 2022 18:06:52 +0200

cyrus-imapd (3.6.0~beta2-2) unstable; urgency=medium

  * Replace vim-common Build-Depends with xxd (Closes: #1007885)
  * Fix install
  * Update lintian overrides
  * dh_missing: strict

 -- Yadd <yadd@debian.org>  Fri, 25 Mar 2022 07:23:41 +0100

cyrus-imapd (3.6.0~beta2-1) unstable; urgency=medium

  * New upstream version 3.6.0~beta2
  * Refresh patches
  * Add build dependency to libical-dev

 -- Yadd <yadd@debian.org>  Fri, 11 Mar 2022 07:22:48 +0100

cyrus-imapd (3.4.3-4) unstable; urgency=medium

  * Drop "Multi-Arch: same" because manpages generates file-conflicts
  * Revert 3.4.3-3 change: propaging CC flags to Perl build seems wrong
    (see https://github.com/cyrusimap/cyrus-imapd/issues/3893)

 -- Yadd <yadd@debian.org>  Fri, 25 Feb 2022 13:52:49 +0100

=== debian/watch ===
version=4
opts=\
uversionmangle=s/-((?:beta|rc)\d*)/~$1/,\
pgpsigurlmangle=s/$/.sig/ \
  https://github.com/cyrusimap/cyrus-imapd/releases/ .*releases/download/.*/cyrus-imapd-@ANY_VERSION@\.tar\.gz

## cyrus-imapd 3.6.0~beta3

=== debian/changelog ===
cyrus-imapd (3.6.0~beta3-1) unstable; urgency=medium

  * Fix debian/watch
  * New upstream version 3.6.0~beta3 (Closes: #972079)
  * Refresh patches
  * Refuse to update if previous version isn't 3.2.6-2+deb11u2
    (Closes: #1007965)

 -- Yadd <yadd@debian.org>  Wed, 12 Oct 2022 16:00:55 +0200

cyrus-imapd (3.6.0~beta2-5) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 22:29:27 +0200

cyrus-imapd (3.6.0~beta2-4) experimental; urgency=medium

  * Declare compliance with policy 4.6.1
  * Add fix for Perl 5.36 (Closes: #1014292)

 -- Yadd <yadd@debian.org>  Tue, 05 Jul 2022 09:00:47 +0200

=== debian/control ===
Source: cyrus-imapd
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Anthony Prades <toony.debian@chezouam.net>,
           Yadd <yadd@debian.org>
Section: mail
Priority: optional
Build-Depends: bison,
               comerr-dev,
               debhelper-compat (= 13),
               fig2dev,
               flex,
               ghostscript,
               groff,
               libdb-dev,
               libdkim-dev,
               libical-dev,
               libjansson-dev,
               libclamav-dev,
               libcunit1-dev,
               libkrb5-dev,
               libkvm-dev [kfreebsd-any],
               libical-dev,
               libldap2-dev,
               libnghttp2-dev,
               libopendkim-dev,
               libpam0g-dev,
               libpod-pom-view-restructured-perl,
               libpcre3-dev,
               libbrotli-dev,
               libpq-dev,
               libsasl2-dev,
               libsasl2-modules,
               libshp-dev,
               libsnmp-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libwrap0-dev,
               libwslay-dev,
               libxapian-dev,
               libxml2-dev,
               libzephyr-dev,
               libzstd-dev,
               perl,
               pkg-config,
               po-debconf,
               rsync,
               sqlite3,
               unicode-data,
               xxd,
               xutils-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
Homepage: https://www.cyrusimap.org/
Rules-Requires-Root: no

Package: cyrus-common
Architecture: any
Depends: adduser,
         db-upgrade-util,
         db-util,
         e2fsprogs,
         default-mta | mail-transport-agent,
         gawk,
         libsasl2-modules,
         lsb-base,
         netbase,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: cyrus-imapd | cyrus-pop3d | cyrus-murder | cyrus-nntpd | cyrus-admin | cyrus-caldav
Suggests: apt-listchanges,
          cyrus-admin,
          cyrus-caldav,
          cyrus-clients,
          cyrus-doc,
          cyrus-imapd,
          cyrus-murder,
          cyrus-nntpd,
          cyrus-pop3d,
          cyrus-replication,
          sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd and/or cyrus-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication
 can be used to provide server replication between two imap servers.

Package: cyrus-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-imapd
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsync
Pre-Depends: ${misc:Pre-Depends}
Breaks: cyrus-common (<< 3.2.3~)
Conflicts: imap-server
Provides: imap-server
Replaces: cyrus-common (<< 3.2.3~)
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-pop3d
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: pop3-server
Provides: pop3-server
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-admin
Architecture: any
Depends: cyrus-common,
         libcyrus-imap-perl (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${perl:Depends}
Suggests: sasl2-bin
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-murder
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}),
         cyrus-pop3d (= ${binary:Version}),
         cyrus-clients (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-replication
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}) | cyrus-pop3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-nntpd
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: news-transport-system
Provides: news-transport-system
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-caldav
Architecture: any
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-clients
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-dev
Architecture: any
Section: devel
Depends: cyrus-common (= ${binary:Version}),
         libcyrus-imap-perl (>= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: libcyrus-imap-perl
Architecture: any
Section: perl
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: libterm-readline-gnu-perl
Pre-Depends: ${misc:Pre-Depends}
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common package.

## cyrus-imapd 3.6.0~rc1

=== debian/changelog ===
cyrus-imapd (3.6.0~rc1-1) unstable; urgency=medium

  * New upstream version 3.6.0~rc1

 -- Yadd <yadd@debian.org>  Wed, 16 Nov 2022 06:16:56 +0100

cyrus-imapd (3.6.0~beta3-2) unstable; urgency=medium

  * Drop dependency to db-upgrade-util (Closes: #1023610)

 -- Yadd <yadd@debian.org>  Mon, 07 Nov 2022 17:43:39 +0100

## cyrus-imapd 3.6.0~rc2

=== debian/changelog ===
cyrus-imapd (3.6.0~rc2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 07:40:44 +0100

cyrus-imapd (3.6.0~rc2-1) unstable; urgency=medium

  * New upstream version 3.6.0~rc2

 -- Yadd <yadd@debian.org>  Mon, 28 Nov 2022 05:16:30 +0100

cyrus-imapd (3.6.0~beta3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Tue, 18 Oct 2022 08:38:33 +0200

cyrus-imapd (3.6.0~beta2-5~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Thu, 06 Oct 2022 15:26:52 +0200

cyrus-imapd (3.4.3-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Tue, 01 Mar 2022 06:45:30 +0100

cyrus-imapd (3.4.3-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Fri, 18 Feb 2022 09:53:03 +0100

cyrus-imapd (3.4.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Tue, 07 Sep 2021 18:00:08 +0200

=== debian/control ===
--- 
+++ 
@@ -60,7 +60,6 @@
 Package: cyrus-common
 Architecture: any
 Depends: adduser,
-         db-upgrade-util,
          db-util,
          e2fsprogs,
          default-mta | mail-transport-agent,

## cyrus-imapd 3.6.0

=== debian/changelog ===
cyrus-imapd (3.6.0-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Feb 2023 07:33:44 -0500

cyrus-imapd (3.6.0-1) unstable; urgency=medium

  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2-5
    + debian/cyrus-common.lintian-overrides: line 2
  * New upstream version 3.6.0

 -- Yadd <yadd@debian.org>  Mon, 12 Dec 2022 06:42:30 +0100

## cyrus-imapd 3.6.1

=== cassandane/utils/Makefile ===
#
#  Copyright (c) 2011 Opera Software Australia Pty. Ltd.  All rights
#  reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
#  3. The name "Opera Software Australia" must not be used to
#     endorse or promote products derived from this software without
#     prior written permission. For permission or any legal
#     details, please contact
# 	Opera Software Australia Pty. Ltd.
# 	Level 50, 120 Collins St
# 	Melbourne 3000
# 	Victoria
# 	Australia
#
#  4. Redistributions of any form whatsoever must retain the following
#     acknowledgment:
#     "This product includes software developed by Opera Software
#     Australia Pty. Ltd."
#
#  OPERA SOFTWARE AUSTRALIA DISCLAIMS ALL WARRANTIES WITH REGARD TO
#  THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
#  AND FITNESS, IN NO EVENT SHALL OPERA SOFTWARE AUSTRALIA BE LIABLE
#  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
#  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
#  OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

PROGRAMS=lemming gdbtramp crash syslog_probe
LIBS=syslog.so

CC=gcc
COPTFLAGS=-g -O0
CWARNFLAGS=-Wall -Wextra
CFLAGS=$(COPTFLAGS) $(CWARNFLAGS) -fPIC

all: $(PROGRAMS) $(LIBS)

lemming_SOURCE=lemming.c
lemming_OBJS=$(lemming_SOURCE:.c=.o)
lemming: $(lemming_OBJS)
	$(LINK.c) -o $@ $(lemming_OBJS)

gdbtramp_SOURCE=gdbtramp.c
gdbtramp_OBJS=$(gdbtramp_SOURCE:.c=.o)
gdbtramp: $(gdbtramp_OBJS)
	$(LINK.c) -o $@ $(gdbtramp_OBJS)

crash_SOURCE=crash.c
crash_OBJS=$(crash_SOURCE:.c=.o)
crash: $(crash_OBJS)
	$(LINK.c) -o $@ $(crash_OBJS)

syslog_probe_SOURCE=syslog_probe.c
syslog_probe_OBJS=$(syslog_probe_SOURCE:.c=.o)
syslog_probe: $(syslog_probe_OBJS)
	$(LINK.c) -o $@ $(syslog_probe_OBJS)

syslog_SOURCE=syslog.c
syslog_OBJS=$(syslog_SOURCE:.c=.o)
syslog.so: $(syslog_OBJS)
	$(LINK.c) -shared -o $@ $(syslog_OBJS) -ldl

clean:
	$(RM) $(PROGRAMS) $(LIBS) *.o

=== debian/changelog ===
cyrus-imapd (3.6.1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/no-INT_MAX-snprintf.patch: don't let callers pass
      INT_MAX as a length to snprintf().

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 13:51:41 +0200

cyrus-imapd (3.6.1-4) unstable; urgency=medium

  * Update copyright
  * Declare compliance with policy 4.6.2

 -- Yadd <yadd@debian.org>  Fri, 31 Mar 2023 11:12:57 +0400

cyrus-imapd (3.6.1-2ubuntu1) lunar; urgency=medium

  * debian/patches/no-INT_MAX-snprintf.patch: don't let callers pass
    INT_MAX as a length to snprintf().  Closes LP: #2011326.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Mar 2023 15:11:47 +0000

cyrus-imapd (3.6.1-2) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * Romanian debconf templates translation of cyrus-imapd (Closes: #1031498)

 -- Yadd <yadd@debian.org>  Fri, 17 Feb 2023 15:23:09 +0400

cyrus-imapd (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1

 -- Yadd <yadd@debian.org>  Mon, 13 Feb 2023 06:53:20 +0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cyrus-imapd
-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
            Anthony Prades <toony.debian@chezouam.net>,
@@ -51,7 +52,7 @@
                unicode-data,
                xxd,
                xutils-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
 Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
 Homepage: https://www.cyrusimap.org/

## cyrus-imapd 3.8.0

=== debian/changelog ===
cyrus-imapd (3.8.0-2) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 02 Jul 2023 10:21:30 +0400

cyrus-imapd (3.8.0-1) experimental; urgency=medium

  * New upstream version 3.8.0
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Mon, 22 May 2023 07:14:46 +0400

cyrus-imapd (3.8.0~rc1-1) experimental; urgency=medium

  * Update dependencies: drop lsb-base (provided by sysvinit-utils which is an
    essential package)
  * New upstream version 3.8.0~rc1
  * Unfuzz patches
  * Fix clean (Closes: #1034088)

 -- Yadd <yadd@debian.org>  Fri, 28 Apr 2023 08:01:22 +0400

cyrus-imapd (3.8.0~beta2-1) experimental; urgency=medium

  * New upstream version 3.8.0~beta2
  * Update copyright

 -- Yadd <yadd@debian.org>  Fri, 31 Mar 2023 10:55:51 +0400

cyrus-imapd (3.8.0~beta1-1) experimental; urgency=medium

  * New upstream version 3.8.0~beta1
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 01 Mar 2023 08:28:15 +0400

cyrus-imapd (3.6.1-3) experimental; urgency=medium

  * Add patch to replace deprecated pcre3 by pcre2 (Closes: #1000034)

 -- Yadd <yadd@debian.org>  Fri, 17 Feb 2023 15:30:48 +0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cyrus-imapd
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
            Anthony Prades <toony.debian@chezouam.net>,
@@ -28,7 +27,7 @@
                libopendkim-dev,
                libpam0g-dev,
                libpod-pom-view-restructured-perl,
-               libpcre3-dev,
+               libpcre2-dev,
                libbrotli-dev,
                libpq-dev,
                libsasl2-dev,
@@ -66,7 +65,6 @@
          default-mta | mail-transport-agent,
          gawk,
          libsasl2-modules,
-         lsb-base,
          netbase,
          ${misc:Depends},
          ${perl:Depends},

## cyrus-imapd 3.8.1

=== debian/changelog ===
cyrus-imapd (3.8.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Tue, 19 Sep 2023 10:55:06 +0400

cyrus-imapd (3.8.1-1) unstable; urgency=medium

  * New upstream version 3.8.1
  * Patches:
    + Drop 0020_fix-cyr_cd-shebang.patch, now included in upstream
    + Unfuzz patches

 -- Yadd <yadd@debian.org>  Mon, 11 Sep 2023 09:30:19 +0400

cyrus-imapd (3.8.0-5) unstable; urgency=medium

  * Fix postinst script (Closes: #1051097)

 -- Yadd <yadd@debian.org>  Tue, 05 Sep 2023 12:22:43 +0400

cyrus-imapd (3.8.0-4) unstable; urgency=medium

  * Patch doc: fix minimal version needed before upgrade (See #1037346)
  * Fix postint version check (see #1037346)

 -- Yadd <yadd@debian.org>  Sat, 26 Aug 2023 06:57:47 +0400

cyrus-imapd (3.8.0-3) unstable; urgency=medium

  * Drop useless build dependency: libwslay-dev (Closes: #1041615)

 -- Yadd <yadd@debian.org>  Sun, 23 Jul 2023 11:45:13 +0400

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
                libssl-dev,
                libtool,
                libwrap0-dev,
-               libwslay-dev,
                libxapian-dev,
                libxml2-dev,
                libzephyr-dev,

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for CMU Cyrus IMAP version 2.4
# GNU copyright 1997 by Joey Hess.
# Copyright (c) 2001,2010 by Henrique de Moraes Holschuh
# Published under the GNU GPL license
# Based on previous work by Michael-John Turner <mj@debian.org>,
#			    David Parker <david@neongoat.com>
#

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

export DOCPKG=cyrus-doc
export TMPPKG := $(CURDIR)/debian/tmp
export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)

export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
export PERL_MM_OPT              = INSTALLDIRS="vendor" CCFLAGS="$(dpkg-buildflags --get CFLAGS)" LDDLFLAGS="$(dpkg-buildflags --get LDFLAGS)"

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Extra version information to add to Cyrus IMAPd ID
EXTRA_IDENT := Debian-$(DEB_VERSION)

# DB engine version
export BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
DBENGINE := BerkeleyDB$(BDB_VERSION)

CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

MAN1 := imtest installsieve lmtptest mupdatetest nntptest \
	pop3test sieveshell sivtest smtptest httptest

MAN8 := master reconstruct quota deliver \
	mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	tls_prune ipurge cvt_cyrusdb chk_cyrus arbitron \
	cyr_expire unexpunge sync_client sync_reset cyr_synclog \
	cyr_dbtool cyr_df ctl_zoneinfo cyr_deny cyr_info \
	fetchnews fud httpd idled imapd lmtpd mbexamine nntpd \
	notifyd pop3d smmapd sync_server timsieved \
	cyr_buildinfo mbtool restore backupd

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	 $(CONFFLAGS) \
	 --with-extraident=$(EXTRA_IDENT) \
	 --includedir=/usr/include \
	 --datadir=/usr/share/cyrus \
	 --sharedstatedir=/usr/share/cyrus \
	 --localstatedir=/var/lib/cyrus \
	 --libexecdir=/usr/lib/cyrus/bin \
	 --bindir=/usr/lib/cyrus/bin \
	 --sbindir=/usr/lib/cyrus/bin \
	 --disable-silent-rules \
	 --enable-autocreate \
	 --enable-idled \
	 --enable-nntp \
	 --enable-murder \
	 --enable-http \
	 --enable-jmap \
	 --enable-replication \
	 --enable-xapian \
	 --enable-backup \
	 --enable-calalarmd \
	 --enable-unit-tests \
	 --enable-gssapi="/usr" \
	 --with-cyrus-user=cyrus --with-cyrus-group=mail \
	 --with-pgsql \
	 --with-pgsql-incdir=/usr/include/postgresql \
	 --with-lock=fcntl \
	 --with-ldap \
	 --with-krb \
	 --with-krbimpl=mit \
	 --without-krbdes \
	 --with-openssl \
	 --with-zlib \
	 --with-libcap \
	 --with-pidfile=/run/cyrus-master.pid \
	 --with-com_err="" \
	 --with-syslogfacility=MAIL \
	 --with-gss_impl=mit \
	 --with-sasl \
	 --with-perl=/usr/bin/perl
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep '^ac_cs_config=' config.status \
	| sed -e 's/^ac_cs_config="/configure /;s/"$$//' \
	| perl -pe 's#\Q'`pwd`'\E#BUILD_PATH#g'
		>> debian/README.configure-options

override_dh_auto_build:
	dh_auto_build

# store database configuration for possible automatic
# upgrading later
	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
	grep '_db"' lib/imapoptions \
	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \
	>>debian/cyrus-db-types.txt
	mv debian/cyrus-db-types.txt debian/cyrus-db-types.txt.old \
	&& sort -u < debian/cyrus-db-types.txt.old > debian/cyrus-db-types.txt \
	&& rm debian/cyrus-db-types.txt.old

# store some useful state about the current package
	echo "PACKAGE_VERSION $(DEB_VERSION)" >debian/cyrus-hardwired-config.txt
	if grep -q -s -n -E '^[[:space:]]*#define[[:space:]]+USE_DIR_FULL[[:space:]]+1' config.h ; then \
		echo "USE_DIR_FULL 1" >>debian/cyrus-hardwired-config.txt ;\
	else \
		echo "USE_DIR_FULL 0" >>debian/cyrus-hardwired-config.txt ;\
	fi

# former build-indep
	cd doc &&\
	pod2man ../perl/sieve/scripts/sieveshell.pl > ../man/sieveshell.1 &&\
	fig2dev -L png legacy/murder.fig murder.png &&\
	rm -f groff-html-*.png pod2htm*
	cd doc &&\
	mkdir -p man &&\
	for man in ../man/*.[1-9] ../debian/*.[1-9]; do \
	   echo "Generating html manpage for $$man..."; \
	   groff -man -Thtml $$man > man/`basename $$man`.html; \
	done
	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
	rm -f pod2htm*

override_dh_auto_install:
	dh_auto_install # -- DESTDIR=$(TMPPKG)

	# install the cyrus tool
	install -d -m 755 $(TMPPKG)/usr/sbin
	install -m 755 debian/cyrus $(TMPPKG)/usr/sbin

	# for stuff in /etc
	install -d -m 755 $(TMPPKG)/etc/cyrus $(TMPPKG)/etc/pam.d
	install -m 644 debian/imapd.conf $(TMPPKG)/etc
	install -m 644 debian/cyrus.conf $(TMPPKG)/etc
	(cd debian ; for i in *.pam ;\
		do install -m 644 $$i $(TMPPKG)/etc/pam.d/$${i%.pam} ;\
	done)

	# Install cyradm icons
	install -d -m 755 $(TMPPKG)/usr/share/icons/mini
	install -m 644 debian/cyradm-32x32.xpm $(TMPPKG)/usr/share/icons/cyradm.xpm
	install -m 644 debian/cyradm-16x16.xpm $(TMPPKG)/usr/share/icons/mini/cyradm.xpm

	# Install debian-provided scripts
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/bin/
	install debian/cyrus-makedirs $(TMPPKG)/usr/lib/cyrus/bin/makedirs
	install -m 755 debian/cyrus-upgrade-db $(TMPPKG)/usr/lib/cyrus/bin/upgrade-db
	install -m 644 debian/get-backtrace.gdb $(TMPPKG)/usr/lib/cyrus/get-backtrace.gdb

	# and logcheck files
	install -d -m 755 $(TMPPKG)/etc/logcheck/ignore.d.server/ $(TMPPKG)/etc/logcheck/violations.ignore.d/
	install -m 644 debian/logcheck.ignore $(TMPPKG)/etc/logcheck/ignore.d.server/cyrus-imapd
	install -m 644 debian/logcheck.violations.ignore $(TMPPKG)/etc/logcheck/violations.ignore.d/cyrus-imapd

	# And other upgrade helpers
	install -m 644 debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt \
		   $(TMPPKG)/usr/lib/cyrus

	# Move all manpages under cyrus- namespace
	install -m 644 debian/cyrus-makedirs.8 debian/cyrus-arbitronsort.8 debian/cyrus-dump.8 \
		$(TMPPKG)/usr/share/man/man8/

	# Prefix all manpages for cyrus binaries to cyrus-$1
	for i in $(MAN1); do \
	  mv $(TMPPKG)/usr/share/man/man1/$$i.1 $(TMPPKG)/usr/share/man/man1/cyrus-$$i.1; \
	done

	for i in $(MAN8); do \
	  mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyrus-$${i}.8 ; \
	done

	# Install the stuff needed for upgrades
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/upgrade
	for i in rehash translatesieve masssievec; do \
	  install -m 755 tools/$$i $(TMPPKG)/usr/lib/cyrus/upgrade ;\
	done

	# And other misc useful tools
	install -m 755 tools/arbitronsort.pl $(TMPPKG)/usr/lib/cyrus/bin/arbitronsort

	# Install the html docs and examples
	install -d -m 755 $(DOCDIR)/html
	install -m 644 doc/legacy/*.html doc/murder.png $(DOCDIR)/html
	cp -a doc/man $(DOCDIR)/html
	cp -a debian/examples $(DOCDIR)
	install -m 644 contrib/cyrusv2.mc $(DOCDIR)/examples
	#
	# Install contrib/ files
	install -d -m 755 $(DOCDIR)/contrib
	xargs < debian/cyrus-common.contrib -rti cp -r '{}' $(DOCDIR)/contrib

	# Remove some stuff we don't install
	rm $(TMPPKG)/usr/lib/cyrus/bin/*proxyd

override_dh_installinit:
	dh_installinit -p cyrus-common --name=cyrus-imapd

override_dh_installchangelogs:
	dh_installchangelogs \
	  -p cyrus-common -p cyrus-doc -p cyrus-clients \
	  -p cyrus-admin -p libcyrus-imap-perl -p cyrus-imapd \
	  -p cyrus-pop3d -p cyrus-murder -p cyrus-replication \
	  -p cyrus-nntpd -p cyrus-caldav -p cyrus-dev \
	  doc/legacy/changes.html

## cyrus-imapd 3.8.2

=== debian/changelog ===
cyrus-imapd (3.8.2-1ubuntu0.2) noble-security; urgency=medium

  * Rebuild for clamav security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jun 2025 13:56:12 -0400

cyrus-imapd (3.8.2-1) unstable; urgency=medium

  * New upstream version 3.8.2
  * Drop pcre2 patch and update configure options
  * Refresh patches
  * Install new manpages

 -- Yadd <yadd@debian.org>  Sat, 16 Mar 2024 08:54:32 +0400

cyrus-imapd (3.8.1-3) unstable; urgency=medium

  * Rewrite 1061341 hook

 -- Yadd <yadd@debian.org>  Thu, 15 Feb 2024 14:40:21 +0400

cyrus-imapd (3.8.1-2) unstable; urgency=medium

  * Add ABI flags (#1061341)
  * Drop unusable .h files from cyrus-dev (closes: #1061341)
  * Build deps: replace pkg-config by pkgconf
  * Reorder

 -- Yadd <yadd@debian.org>  Thu, 15 Feb 2024 13:37:02 +0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cyrus-imapd
-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
            Anthony Prades <toony.debian@chezouam.net>,
@@ -43,7 +44,7 @@
                libzephyr-dev,
                libzstd-dev,
                perl,
-               pkg-config,
+               pkgconf,
                po-debconf,
                rsync,
                sqlite3,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export _FILE_OFFSET_BITS=64
+export _TIME_BITS=64
 
 # DebHelper control
 export DH_ALWAYS_EXCLUDE=CVS:.svn:.git
@@ -42,7 +44,8 @@
 endif
 
 MAN1 := imtest installsieve lmtptest mupdatetest nntptest \
-	pop3test sieveshell sivtest smtptest httptest
+	pop3test sieveshell sivtest smtptest httptest \
+	dav_reconstruct synctest
 
 MAN8 := master reconstruct quota deliver \
 	mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
@@ -51,7 +54,10 @@
 	cyr_dbtool cyr_df ctl_zoneinfo cyr_deny cyr_info \
 	fetchnews fud httpd idled imapd lmtpd mbexamine nntpd \
 	notifyd pop3d smmapd sync_server timsieved \
-	cyr_buildinfo mbtool restore backupd
+	cyr_buildinfo mbtool restore backupd \
+	cvt_xlist_specialuse cyr_ls cyr_userseen cyradm cyrdump \
+	lmtpproxyd mupdate pop3proxyd promstatsd proxyd ptdump \
+	ptexpire ptloader relocate_by_id sievec sieved
 
 %:
 	dh $@
@@ -68,12 +74,14 @@
 	 --bindir=/usr/lib/cyrus/bin \
 	 --sbindir=/usr/lib/cyrus/bin \
 	 --disable-silent-rules \
+	 --disable-pcre \
 	 --enable-autocreate \
 	 --enable-idled \
 	 --enable-nntp \
 	 --enable-murder \
 	 --enable-http \
 	 --enable-jmap \
+	 --enable-pcre2 \
 	 --enable-replication \
 	 --enable-xapian \
 	 --enable-backup \
@@ -104,8 +112,7 @@
 	| perl -pe 's#\Q'`pwd`'\E#BUILD_PATH#g'
 		>> debian/README.configure-options
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 
 # store database configuration for possible automatic
 # upgrading later
@@ -141,8 +148,7 @@
 	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
 	rm -f pod2htm*
 
-override_dh_auto_install:
-	dh_auto_install # -- DESTDIR=$(TMPPKG)
+execute_after_dh_auto_install:
 
 	# install the cyrus tool
 	install -d -m 755 $(TMPPKG)/usr/sbin
@@ -212,13 +218,9 @@
 	# Remove some stuff we don't install
 	rm $(TMPPKG)/usr/lib/cyrus/bin/*proxyd
 
+execute_after_dh_install:
+	rm -f `cat debian/h-to-drop|sed -e 's/^\/*/debian\/\*\//'`
+
 override_dh_installinit:
 	dh_installinit -p cyrus-common --name=cyrus-imapd
 
-override_dh_installchangelogs:
-	dh_installchangelogs \
-	  -p cyrus-common -p cyrus-doc -p cyrus-clients \
-	  -p cyrus-admin -p libcyrus-imap-perl -p cyrus-imapd \
-	  -p cyrus-pop3d -p cyrus-murder -p cyrus-replication \
-	  -p cyrus-nntpd -p cyrus-caldav -p cyrus-dev \
-	  doc/legacy/changes.html

=== debian/watch ===
version=4
opts=\
searchmode=plain,\
uversionmangle=s/-((?:beta|rc)\d*)/~$1/,\
pgpsigurlmangle=s/$/.sig/ \
  https://api.github.com/repos/cyrusimap/cyrus-imapd/releases \
  https://github.com/cyrusimap/cyrus-imapd/releases/download/cyrus-imapd-.*?/cyrus-imapd-(\d[\d\.]+(?:-(?:beta|rc)\d*)?)@ARCHIVE_EXT@

## cyrus-imapd 3.8.3

=== debian/changelog ===
cyrus-imapd (3.8.3-1build1) oracular; urgency=medium

  * Rebuild against new libclamav12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jun 2024 18:40:19 +0200

cyrus-imapd (3.8.3-1) unstable; urgency=medium

  * Add unit test into autopkgtest
  * Update debian/watch
  * Update excluded files list
  * New upstream version 3.8.3 (Closes: CVE-2024-34055)
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Wed, 05 Jun 2024 07:42:41 +0400

=== debian/tests/control ===
# Tests: cyrus-docker
# Depends: ca-certificates, docker.io
# Restrictions: needs-root

Tests: unit-test
Depends: @, @builddeps@
Restrictions: allow-stderr

Tests: cyrus-no-docker
Depends: cyrus-imapd,
    apt-utils,
    autoconf,
    automake,
    autotools-dev,
    bash-completion,
    bison,
    build-essential,
    check,
    clang,
    cmake,
    comerr-dev,
    cpanminus,
    doxygen,
    debhelper,
    flex,
    g++,
    git,
    gperf,
    graphviz,
    groff,
    texi2html,
    texinfo,
    heimdal-dev,
    help2man,
    libanyevent-perl,
    libbsd-dev,
    libbsd-resource-perl,
    libclone-perl,
    libconfig-inifiles-perl,
    libcunit1-dev,
    libcyrus-imap-perl,
    libdata-visitor-perl,
    libdatetime-perl,
    libdb-dev,
    libdbi-perl,
    libdbm-deep-perl,
    libdeclare-constraints-simple-perl,
    libdevel-findperl-perl,
    libdigest-sha-perl,
    libencode-imaputf7-perl,
    libfile-chdir-perl,
    libfile-slurp-perl,
    libfuture-perl,
    libgetopt-long-descriptive-perl,
    libglib2.0-dev,
    libhook-lexwrap-perl,
    libhttp-daemon-perl,
    libimport-into-perl,
    libio-async-perl,
    libio-socket-inet6-perl,
    libio-string-perl,
    libio-stringy-perl,
    libjson-perl,
    libjson-xs-perl,
    libldap2-dev,
    liblist-someutils-perl,
    libmagic-dev,
    libmilter-dev,
    libmodule-path-perl,
    libmodule-refresh-perl,
    libmoo-perl,
    libmoosex-markasmethods-perl,
    default-libmysqlclient-dev,
    libnet-server-perl,
    libnews-nntpclient-perl,
    libpath-tiny-perl,
    libpam0g-dev,
    libpcre3-dev,
    libperl-prereqscanner-perl,
    libppi-perl,
    libprotocol-websocket-perl,
    libreadonly-perl,
    libsasl2-dev,
    libscope-guard-perl,
    libsnmp-dev,
    libsqlite3-dev,
    libssl-dev,
    libstring-crc32-perl,
    libstring-rewriteprefix-perl,
    libstruct-dumb-perl,
    libsuper-perl,
    libtask-weaken-perl,
    libtest-deep-perl,
    libtest-deep-type-perl,
    libtest-identity-perl,
    libtest-memory-cycle-perl,
    libtest-most-perl,
    libtest-object-perl,
    libtest-refcount-perl,
    libtest-output-perl,
    libtest-subcalls-perl,
    libtest-taint-perl,
    libtest-unit-perl,
    libtool,
    libunix-syslog-perl,
    liburi-perl,
    libxml-generator-perl,
    libxml-xpath-perl,
    libxml2-dev,
    libwrap0-dev,
    libxapian-dev,
    libzephyr-dev,
    lsb-base,
    net-tools,
    pandoc,
    perl,
    php-cli,
    php-curl,
    pkg-config,
    po-debconf,
    rsync,
    sudo,
    tcl-dev,
    transfig,
    unicode-data,
    uuid-dev,
    vim,
    wamerican,
    wget,
    xutils-dev,
    zlib1g-dev
Restrictions: needs-root, allow-stderr, needs-internet, skippable

## cyrus-imapd 3.8.4

=== debian/changelog ===
cyrus-imapd (3.8.4-1) unstable; urgency=medium

  * Drop build dependency to libdb-dev (Closes: #1076643)
  * New upstream version 3.8.4 (Closes: #1075853)

 -- Yadd <yadd@debian.org>  Mon, 29 Jul 2024 12:38:12 +0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cyrus-imapd
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
            Ondřej Surý <ondrej@debian.org>,
            Anthony Prades <toony.debian@chezouam.net>,
@@ -14,7 +13,6 @@
                flex,
                ghostscript,
                groff,
-               libdb-dev,
                libdkim-dev,
                libical-dev,
                libjansson-dev,
@@ -51,7 +49,7 @@
                unicode-data,
                xxd,
                xutils-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
 Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
 Homepage: https://www.cyrusimap.org/

## cyrus-imapd 3.10.0~beta1

=== debian/changelog ===
cyrus-imapd (3.10.0~beta1-3) experimental; urgency=medium

  * Rewrite 1061341 hook

 -- Yadd <yadd@debian.org>  Thu, 15 Feb 2024 14:46:01 +0400

cyrus-imapd (3.10.0~beta1-2) experimental; urgency=medium

  * Add ABI flags (#1061341)
  * Drop unusable .h files from cyrus-dev (Closes: #1061341)
  * Build dependencies: replace pkg-config by pkgconf

 -- Yadd <yadd@debian.org>  Thu, 15 Feb 2024 13:16:02 +0400

cyrus-imapd (3.10.0~beta1-1) experimental; urgency=medium

  * New upstream version

  [ Yadd ]
  * Refresh patches

  [ lintian-brush ]
  * Rely on pre-initialized dpkg-architecture variables

  [ cme ]
  * Drop unnecessary older-than versioned dependency
  * Drop duplicated build dependency to libical-dev

 -- Yadd <yadd@debian.org>  Fri, 12 Jan 2024 11:24:29 +0400

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                flex,
                ghostscript,
                groff,
+               libdb-dev,
                libdkim-dev,
                libical-dev,
                libjansson-dev,
@@ -20,7 +21,6 @@
                libcunit1-dev,
                libkrb5-dev,
                libkvm-dev [kfreebsd-any],
-               libical-dev,
                libldap2-dev,
                libnghttp2-dev,
                libopendkim-dev,
@@ -49,7 +49,7 @@
                unicode-data,
                xxd,
                xutils-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
 Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
 Homepage: https://www.cyrusimap.org/
@@ -135,10 +135,8 @@
          ${shlibs:Depends}
 Recommends: rsync
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: cyrus-common (<< 3.2.3~)
 Conflicts: imap-server
 Provides: imap-server
-Replaces: cyrus-common (<< 3.2.3~)
 Description: Cyrus mail system - IMAP support
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,7 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
 export PERL_MM_OPT              = INSTALLDIRS="vendor" CCFLAGS="$(dpkg-buildflags --get CFLAGS)" LDDLFLAGS="$(dpkg-buildflags --get LDFLAGS)"
 
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 
 # Extra version information to add to Cyrus IMAPd ID
 EXTRA_IDENT := Debian-$(DEB_VERSION)
@@ -44,8 +43,7 @@
 endif
 
 MAN1 := imtest installsieve lmtptest mupdatetest nntptest \
-	pop3test sieveshell sivtest smtptest httptest \
-	dav_reconstruct synctest
+	pop3test sieveshell sivtest smtptest httptest
 
 MAN8 := master reconstruct quota deliver \
 	mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
@@ -54,10 +52,7 @@
 	cyr_dbtool cyr_df ctl_zoneinfo cyr_deny cyr_info \
 	fetchnews fud httpd idled imapd lmtpd mbexamine nntpd \
 	notifyd pop3d smmapd sync_server timsieved \
-	cyr_buildinfo mbtool restore backupd \
-	cvt_xlist_specialuse cyr_ls cyr_userseen cyradm cyrdump \
-	lmtpproxyd mupdate pop3proxyd promstatsd proxyd ptdump \
-	ptexpire ptloader relocate_by_id sievec sieved
+	cyr_buildinfo mbtool restore backupd
 
 %:
 	dh $@
@@ -224,3 +219,10 @@
 override_dh_installinit:
 	dh_installinit -p cyrus-common --name=cyrus-imapd
 
+override_dh_installchangelogs:
+	dh_installchangelogs \
+	  -p cyrus-common -p cyrus-doc -p cyrus-clients \
+	  -p cyrus-admin -p libcyrus-imap-perl -p cyrus-imapd \
+	  -p cyrus-pop3d -p cyrus-murder -p cyrus-replication \
+	  -p cyrus-nntpd -p cyrus-caldav -p cyrus-dev \
+	  doc/legacy/changes.html

=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Tests: cyrus-docker
 # Depends: ca-certificates, docker.io
 # Restrictions: needs-root
-
-Tests: unit-test
-Depends: @, @builddeps@
-Restrictions: allow-stderr
 
 Tests: cyrus-no-docker
 Depends: cyrus-imapd,
@@ -35,6 +31,7 @@
     libanyevent-perl,
     libbsd-dev,
     libbsd-resource-perl,
+    libc6-dev,
     libclone-perl,
     libconfig-inifiles-perl,
     libcunit1-dev,

## cyrus-imapd 3.10.0~rc2

=== debian/changelog ===
cyrus-imapd (3.10.0~rc2-1) experimental; urgency=medium

  * Import unstable changes
  * Unfuzz patches
  * New upstream release (Closes: #1075853, CVE-2024-34055)

 -- Yadd <yadd@debian.org>  Mon, 29 Jul 2024 12:48:47 +0400

cyrus-imapd (3.10.0~beta2-1) experimental; urgency=medium

  * New upstream version 3.10.0~beta2

 -- Yadd <yadd@debian.org>  Mon, 18 Mar 2024 07:50:10 +0400

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
                unicode-data,
                xxd,
                xutils-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
 Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
 Homepage: https://www.cyrusimap.org/

## cyrus-imapd 3.10.0

=== debian/changelog ===
cyrus-imapd (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 19 Aug 2024 10:37:50 +0400

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
 # Tests: cyrus-docker
 # Depends: ca-certificates, docker.io
 # Restrictions: needs-root
+
+Tests: unit-test
+Depends: @, @builddeps@
+Restrictions: allow-stderr
 
 Tests: cyrus-no-docker
 Depends: cyrus-imapd,
